### Method

# Aravis ChunkParser get_float_value

#### Declaration [src]

    double
    arv_chunk_parser_get_float_value (
      ArvChunkParser* parser,
      ArvBuffer* buffer,
      const char* chunk,
      GError** error
    )

#### Description

No description available.

#### Parameters

`buffer`

  Type: `ArvBuffer`

  A `ArvBuffer` with a #ARV_BUFFER_PAYLOAD_TYPE_CHUNK_DATA payload.

  The data is owned by the caller of the method.

`chunk`

  Type: `const char*`

  Chunk data name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `double`

The float chunk data value.